Infrastructure/Assets
PUTInfrastructureSince 1.0SynchronousAuth Required
SetAssetLabels
Replace all labels on the specified asset with the provided label set.
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
assetTypeStringRequiredType of the asset to set labels on (e.g. vm, host, volume)
assetUuidStringRequiredUUID of the specific asset to set labels on
Body Fields
labelsObjectRequiredKey-value labels attached to this resource
Example: (nested object)
Responses
Endpoint
PUT/api/v1/assets/{assetType}/{assetUuid}/labels
/api/v1/assets/{assetType}/{assetUuid}/labels
Request Example
curl -X PUT '{host}/api/v1/assets/{assetType}/{assetUuid}/labels' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"labels":"(nested object)"}'
Response Example
200{
"data": null
}Change History
This API has no change history records yet.
